## visad
Interface ValueControl

All Superinterfaces:
  AVControl

All Known Implementing Classes:
  ValueControlJ2D, ValueControlJ3D

public interface ValueControl
extends AVControl

ValueControl is the VisAD interface for controlling SelectValue display scalars.

Method Summary
`double` `getValue()` return the selected value
`void` `init()`
`void` `setValue(double value)` set the selected value

Methods inherited from interface visad.AVControl
`addControlListener, clearSwitches, getSaveString, removeControlListener, setSaveString`

Method Detail

### setValue

    public void setValue(double value)
                  throws VisADException,
                         RemoteException

  set the selected value

  Throws:
    `VisADException`
    `RemoteException`

### init

    public void init()
              throws VisADException

  Throws:
    `VisADException`

### getValue

    public double getValue()

  return the selected value